    /*
    * @Author : Suraj Roy
    * @Date : 04 April 2016
    * @Source : jsonworld.com
    * @Topic : send-email-using angularjs-nodejs
    */    

let express = require('express'),
    app = express(),
    path = require('path'),
    http = require('http'),
    multer  = require('multer');

let storage = multer.diskStorage({
  destination: './uploads/',
  filename: function (req, file, cb) {
    cb(null, file.originalname.replace(path.extname(file.originalname), "") + '-' + Date.now() + path.extname(file.originalname))
  }
})

let upload = multer({ storage: storage })

app.use(express.static(path.join(__dirname, 'public')));

app.set('port', process.env.PORT || 3000);


app.post('/savedata', upload.single('file'), function(req,res,next){
    console.log('File Uploaded Successfully! ', req.file.filename);
    res.send({"statusCode":200,"statusMessage":"file uploaded successfully!"});
});


http.createServer(app).listen(app.get('port'), function(){
  console.log('Server listening on port: ' + app.get('port'));
});
